MappedMultiFields (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.index, class: MappedMultiFields

Package org.apache.lucene.index

# Class MappedMultiFields

java.lang.Object
org.apache.lucene.index.Fields
org.apache.lucene.index.FilterLeafReader.FilterFields
org.apache.lucene.index.MappedMultiFields

All Implemented Interfaces:
  `Iterable<String>`

public class MappedMultiFields extends FilterLeafReader.FilterFields
A `Fields` implementation that merges multiple Fields into one, and maps around deleted documents. This is used for merging.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.index.FilterLeafReader.FilterFields

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MappedMultiFields(MergeState mergeState, MultiFields multiFields)`
  Create a new MappedMultiFields for merging, based on the supplied mergestate and merged view of terms.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Terms`
  `terms(String field)`
  Get the `Terms` for this field.

  ### Methods inherited from class org.apache.lucene.index.FilterLeafReader.FilterFields

  `iterator, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### MappedMultiFields

    public MappedMultiFields(MergeState mergeState, MultiFields multiFields)
    Create a new MappedMultiFields for merging, based on the supplied mergestate and merged view of terms.

- ## Method Details

  - ### terms

    public Terms terms(String field) throws IOException
    Description copied from class: `Fields`
    Get the `Terms` for this field. This will return null if the field does not exist.
    Overrides:
      `terms` in class `FilterLeafReader.FilterFields`
    Throws:
      `IOException`